---
apiVersion: v1
kind: Service
metadata: 
  name: calendar-center
  namespace: develop
  labels: 
    app: calendar-center
spec: 
  selector: 
    app: calendar-center
  ports: 
  - port: 8080
    targetPort: 8080
    name: server-port

---
apiVersion: apps/v1
kind: Deployment
metadata: 
  name: calendar-center
  namespace: develop
spec: 
  replicas: 1
  selector:
    matchLabels:
      app: calendar-center
  template: 
    metadata: 
      labels: 
        app: calendar-center
    spec: 
      containers: 
      - name: calendar-center
        image: labisenlin.persagy.com/library/calendar-center:latest
        resources:
          limits:
            memory: "2048Mi"
          requests:
            memory: "2048Mi"
        ports: 
        - containerPort: 8080
          name: server-port
        env: 
        - name: TZ
          value: Asia/Shanghai
        - name: SERVER_PORT
          value: "8080"
        - name: EUREKA_INSTANCE_IP_ADDRESS
          value: "calendar-center.develop"
        - name: EUREKA_CLIENT_DEFAULT_ZONE
          value: "http://frame:123456@integrated-eureka:9931/integrated-eureka/eureka/"